<?php
	// prevent direct call-up of include file
	if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) die();


	//***** MODIFY THESE VALUES BEFORE FIRST USE!!! *****


	/**
	 * Server Query Address
	 *
	 * This information is used by the query script to connect to the
	 * Teamspeak server.
	 * If you want to connect to a Teamspeak server running on the same
	 * physical machine you should use 127.0.0.1, otherwise the IP
	 * address of the machine.
	 * If you attempt to connect to an external server you might need
	 * to increase the internal variable "timeout".
	 */
	$TS2_SERVER_ADDRESS = "127.0.0.1";  // default: 127.0.0.1

	/**
	 * Server Domain
	 *
	 * This is the domain name pointing to your Teamspeak server.
	 * It is only used for the server information display and has
	 * no real function other than to look good.
	 */
	$TS2_SERVER_DOMAIN = "teamspeak.ts2serverz.com";

	/**
	 * Web server domain
	 * Specify the domain name of the webserver that is running the
	 * Display Script. It is necessary for setting the cookies,
	 * the auto-refresh function and the "Join Channel" button.
	 */
	$WEBSERVER_DOMAIN = "www.webzpace.com";
	
	/**
	 * Server IP Address
	 *
	 * This is the IP address by which your Teamspeak server is
	 * accessible from the WWW. It would be these 4 numbers you
	 * enter if you want to connect, d'oh.
	 * (yes, people really ask me what those funny numbers are)
	 */
	$TS2_SERVER_IP = "123.456.789.123";
	
	/**
	 * Server Query Port
	 *
	 * This is the TCP query port of your Teamspeak server.
	 * Make sure it is correct and accessible, especially
	 * if you plan to use this script to access a remote
	 * Teamspeak server.
	 */
	$TS2_SERVER_QUERY_PORT = 51234;  // default: 51234
	
	/**
	 * Server UDP Port
	 *
	 * This is the port Teamspeak clients connect to.
	 * Although the query script doesn't use it it is a means
	 * of identifying a particular server if there is more than
	 * one Teamspeak server running on the same machine.
	 */
	$TS2_SERVER_UDP_PORT = 8767;  // default: 8767
	
	/**
	 * Old PHP Version
	 *
	 * I'm developing on the current stable PHP version (4.3.4)
	 * If you experience problems try setting this variable
	 * to true. It might cost you some performance, but you WILL
	 * gain compatibility.
	 */
	$OLD_PHP = false;  // default: false	
	
	/**
	 * Timeout value
	 *
	 * Waits a maximum of $TS2_TIMEOUT seconds before declaring
	 * the server as offline.
	 * You might need to change this to a higher value if your
	 * Webserver and TS2 Server are not running on the same
	 * physical machine.
	 */
	$TS2_TIMEOUT = 0.3;

	/**
	 * Image Directory
	 *
	 * This variable is for the display script. It needs to be
	 * told where it can locate the icons for users, channels etc.
	 */
	$IMAGE_DIR = "./images";
?>