<?php
	// reads the configuration file and extracts the necessary information
	function readConfig() {
		global $TS2_SERVER_DOMAIN, $TS2_SERVER_IP, $IMAGE_DIR, $DISPLAY_CHANNEL_INFO;
		global $LOGIN_PANEL, $DEFAULT_NICKNAME, $DEFAULT_PASSWORD, $DEFAULT_LOGIN_NAME, $USE_EXTERNAL_AUTH;
		global $DISPLAY_REFRESH;

		include("config.inc.php");
		include("ts2displayfeatures.inc.php");
	}// end function readConfig

	// returns the web server domain
	function getWebserverDomain() {
		include("config.inc.php");
		return $WEBSERVER_DOMAIN;
	}// end function getWebserverDomain()

	// read configuration data
	readConfig();

	if($LOGIN_PANEL) {	
		$WEBSERVER_DOMAIN = getWebserverDomain();
		if($action == "SAVE") {
			$cookie_expire = time() + 604800;
			setCookie("ts2login_save", $ts2login, $cookie_expire, "/", ".".$WEBSERVER_DOMAIN);
			setCookie("ts2nick_save", $ts2nick, $cookie_expire, "/", ".".$WEBSERVER_DOMAIN);
			setCookie("ts2pass_save", $ts2pass, $cookie_expire, "/", ".".$WEBSERVER_DOMAIN);
		} else {
			if(!$ts2pass) $ts2pass = $_COOKIE["ts2pass_save"];
			if(!$ts2nick) $ts2nick = $_COOKIE["ts2nick_save"];
			if(!$ts2login) $ts2login = $_COOKIE["ts2login_save"];
		}// end if
	} else {
		if(!$USE_EXTERNAL_AUTH) {
			$ts2nick = $DEFAULT_NICKNAME;
			$ts2pass = $DEFAULT_PASSWORD;
			$ts2login = $DEFAULT_LOGIN_NAME;
		}// end if
	}// end if
?>
<html>
<head>
	<title>Teamspeak 2 Server Details</title>
	<link rel="stylesheet" type="text/css" href="ts2display.css">
	
	<meta name="robots" content="noindex">
	<meta name="revisit-after" content="365 days">
	<meta name="generator" content="PHP">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="expires" content="0">
<?php if($DISPLAY_REFRESH) { ?>
	<meta http-equiv="refresh" content="<?php echo($DISPLAY_REFRESH); ?>; URL=http://<?php echo($WEBSERVER_DOMAIN.$_SERVER['PHP_SELF']); ?>">
<?php }// end if ?>
	
	<script language="JavaScript">
	<!--
		document.writeln("<style type=\"text/css\">");
		document.writeln("noscript {");
		document.writeln("\tdisplay:none;");
		document.writeln("}");
		document.writeln("</style");

		lastElement = "s";
		
		// show a hidden element
		function display(panelName) {
			// first hide the last displayed element
			hide(lastElement);

			// show the new element
			document.getElementById(panelName).style.visibility = "visible";
			document.getElementById(panelName).style.display = "block";
			
			// remember this element
			lastElement = panelName;
			return false;
		}// end function display(panelName)

		// hide a visible element
		function hide(panelName) {
			document.getElementById(panelName).style.visibility = "hidden";
			document.getElementById(panelName).style.display = "none";
		}// end function hide(panelName)

		// refresh
		function refresh() {
			window.history.go(0);
		}// end function refresh
<?php if($DISPLAY_REFRESH) { ?>
		window.setTimeout("refresh()", <?php echo($DISPLAY_REFRESH); ?> * 1000);
<?php }// end if ?>
	//-->
	</script>
</head>
<body>
<!--
/**
 * ts2display.php - Extracts data from a running Teamspeak server and displays it.
 *
 * Release date and version number: February 26th, 2004. Ver 1.3
 *
 * Copyright (C) 2003  Christian Mller
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * You may contact the author, Christian Mller, via electronic mail at
 * ts-query@brainspace.info
 *
 * A copy of the GNU GPL is provided in the file LICENSE
 *
 * Please read the CHANGELOG if you update from a previous version.
 *
 *
 * Usage of this script:
 * - Edit config.inc.php first!
 * - Put this script in the same directory as ts2query.php
 * - Open it in your web browser. If everything is configured correctly you should
 *   see your current Teamspeak channel tree and players
 *
 * This script shows the channel tree with a list of players in each channel and
 * offers the opportunity to save your credentials in a cookie and join a channel
 * by clicking it or clicking the "Join Channel" button, depending on the feature
 * settings
 */
//-->
	<?php
		// get the depth of a tree node
		function getDepth($channelInfo) {
			// globals
			global $ts2info;

			// initial depth is 0
			$depth = 0;
				
			// bubble up to the parent channel and count
			while($channelInfo[parent] != -1) {
				// search for parent channel
				foreach($ts2info->channelList as $key => $info) {
					if($info[id] == $channelInfo[parent]) {
						$channelInfo = $info;
						break;
					}// end if
				}// end foreach

				// increase depth
				$depth++;
			}// end while
			
			// return the depth of the node
			return $depth;
		}// end function getDepth($channel)
		
		// get maximum tree depth
		function getMAX_DEPTH() {
			// globals
			global $ts2info;

			// iterate through channel list
			$MAX_DEPTH = 0;
			foreach($ts2info->channelList as $channelInfo) {
				$depth = getDepth($channelInfo);

				// get the maximum
				if($depth > $MAX_DEPTH) $MAX_DEPTH = $depth;
			}// end foreach
			
			// return the maximum depth
			return $MAX_DEPTH;
		}// end function getMAX_DEPTH()
		
		// displays a channel
		function displayChannel($channelInfo, $isLastInChain, $prefixes) {
			// globals
			global $ts2info, $ts2nick, $ts2login, $ts2pass, $MAX_DEPTH, $TS_IMAGES, $infoPanels;
			global $TS2_SERVER_DOMAIN, $TS2_SERVER_IP, $DISPLAY_CHANNEL_INFO, $LOGIN_PANEL;

			// get depth of current channel
			$depth = getDepth($channelInfo);

			$output .= "<div style=\"vertical-align:middle;padding:0px;margin:0px;\">";

			// attach prefixes
			foreach($prefixes as $id => $prefix) {
				$output .= $prefix;
			}// end if
						
			// make tree parts
			if($isLastInChain) {
				$output .= $TS_IMAGES[lastInChain];
			} else {
				$output .= $TS_IMAGES[branch];
			}// end if

			// build channel flags
			if($channelInfo[isUnregistered]) $channelFlags = "U"; else $channelFlags = "R";
			if($channelInfo[isModerated]) $channelFlags .= "M";
			if($channelInfo[isPassworded]) $channelFlags .= "P";
			if($channelInfo[hasSubchannels]) $channelFlags .= "S";
			if($channelInfo[isDefault]) $channelFlags .= "D";
			$channelFlags = "&nbsp;&nbsp;&nbsp;(".$channelFlags.")";
			
			// only show channel flags for main channels
			if(sizeof($prefixes) > 0) $channelFlags = "";
			
			// display channel
			$output .= $TS_IMAGES[channelImage];
			$output .= "&nbsp;";

			if($DISPLAY_CHANNEL_INFO) {
				// build javascript link
				$output .= "<script language=\"JavaScript\">\n
				<!--\n
					document.writeln(\"<a href=\\\"JavaScript:;\\\" onClick=\\\"display('c".$channelInfo[id]."');\\\">".$channelInfo[name].$channelFlags."</a>\");\n
				//-->\n
				</script>\n";

				// build non-javascript link
				$output .= "<noscript><a href=\"?selected=c".$channelInfo[id]."\">".$channelInfo[name].$channelFlags."</a></noscript>";
			} else {
				$output .= "<a href=\"teamspeak://".$TS2_SERVER_IP.":".$ts2info->serverUDPPort."?channelname=".$channelInfo[name]."?nickname=".$ts2nick."?loginname=".$ts2login."?password=".$ts2pass."\">".$channelInfo[name]."</a>";
			}// end if
			$output .= "</div>\n";

			// add info panel
			$infoPanels .= "<div id=\"c".$channelInfo[id]."\" style=\"visibility:hidden;display:none;\">".getInfo("c".$channelInfo[id], true)."</div>";

			// recursively display subchannels

			// get subchannel list
			$subChannels = array();
			foreach($ts2info->channelList as $subChannelInfo) {
				if($subChannelInfo[parent] == $channelInfo[id]) {
					$subChannels[$subChannelInfo[id]] = $subChannelInfo;
				}// end if
			}// end foreach
			
			// get players in channel list
			$players = array();
			foreach($ts2info->playerList as $playerInfo) {
				if($playerInfo[c_id] == $channelInfo[id]) {
					array_push($players, $playerInfo);
				}// end if
			}// end foreach

			// create a branch prefix for subchannels
			// if there are no subchannels this prefixes array is discarded
			array_push($prefixes, $TS_IMAGES[branch]);
			
			// display subchannel list
			$counter = 0;
			foreach($subChannels as $subChannelInfo) {
				$counter ++;
				// alter prefixes according to previous level's position in chain
				if($isLastInChain) {
					$prefixes[sizeof($prefixes) - 1] = $TS_IMAGES[blank];
				} else {
					$prefixes[sizeof($prefixes) - 1] = $TS_IMAGES[straight];
				}// end if

				// check if this subchannel is the last in chain
				if(($counter == count($subChannels)) && (sizeof($players) == 0)) {
					$output .= displayChannel($subChannelInfo, true, $prefixes);
				} else {
					$output .= displayChannel($subChannelInfo, false, $prefixes);
				}// end if
			}// end foreach			


			// display players in channel
			$counter = 0;
			foreach($players as $playerInfo) {
				$counter++;

				$output .= "<div style=\"vertical-align:middle;padding:0px;margin:0px;\">";
				
				// alter prefixes according to previous level's position in chain
				if($isLastInChain) {
					$prefixes[sizeof($prefixes) - 1] = $TS_IMAGES[blank];
				} else {
					$prefixes[sizeof($prefixes) - 1] = $TS_IMAGES[straight];
				}// end if

				// attach prefixes
				foreach($prefixes as $id => $prefix) {
					$output .= $prefix;
				}// end if

				// check if this player is the last in chain
				if($counter == count($players)) {
					$output .= $TS_IMAGES[lastInChain];
				} else {
					$output .= $TS_IMAGES[branch];
				}// end if

				// assemble player privileges
				$privileges = $playerInfo[playerPrivileges];
				if($playerInfo[channelPrivileges]) $privileges .= " ".$playerInfo[channelPrivileges];
				if($playerInfo[isRecording]) $privileges .= " Rec";

				// display player icon
				$playerImage = $TS_IMAGES[playerImage];
				if($playerInfo[isChannelCommander]) $playerImage = $TS_IMAGES[playerCommander];
				if($playerInfo[mutedMicrophone]) $playerImage = $TS_IMAGES[playerMutedMicrophone];
				if($playerInfo[mutedHeadphones]) $playerImage = $TS_IMAGES[playerMutedHeadphones];
				if($playerInfo[isAway]) $playerImage = $TS_IMAGES[playerAway];
				
				// display player info
				$output .= $playerImage;

				if($DISPLAY_CHANNEL_INFO) {
					// build javascript link
					$output .= "<script language=\"JavaScript\">\n
					<!--\n
						document.writeln(\"<a href=\\\"JavaScript:;\\\" onClick=\\\"display('p".$playerInfo[p_id]."');\\\">".$playerInfo[nick]." (".$privileges.")</a>\");\n
					//-->\n
					</script>\n";

					// build non-javascript link
					$output .= "<noscript><a href=\"?selected=p".$playerInfo[p_id]."\">".$playerInfo[nick]." (".$privileges.")</a></noscript>";

					// add info panel
					$infoPanels .= "<div id=\"p".$playerInfo[p_id]."\" style=\"visibility:hidden;display:none;\">".getInfo("p".$playerInfo[p_id], true)."</div>";
				} else {
					$output .= "<a href=\"JavaScript:;\">".$playerInfo[nick]." (".$privileges.")</a>";
				}// end if

				$output .= "</div>";
			}// end foreach
			
			// return tree part
			return $output;
		}// end function displayChannel($channelInfo)

		// display the Teamspeak Server data in tree form
		function display() {	
			// globals
			global $ts2info, $ts2nick, $ts2login, $ts2pass, $MAX_DEPTH, $TS_IMAGES, $infoPanels;
			global $TS2_SERVER_DOMAIN, $TS2_SERVER_IP, $DISPLAY_CHANNEL_INFO, $LOGIN_PANEL;
			
			// display offline message if appropriate
			if($ts2info->serverStatus == "offline") {
				$output = "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" id=\"ts2\">\n";
				$output .= "<tr>\n<td align=\"CENTER\" valign=\"MIDDLE\" bgcolor=\"#FF3000\"><font color=\"#500000\">offline</font></td>\n</tr>\n";
				$output .= "</table>\n";
				return $output;
			}// end if
		
			// extract main channels
			$mainChannels = array();
			foreach($ts2info->channelList as $channelInfo) {
				if($channelInfo[parent] == -1) $mainChannels[$channelInfo[id]] = $channelInfo;
			}// end foreach

			// display channel list

			$output .= "<div style=\"vertical-align:middle;padding:0px;margin:0px;\">";

			if($DISPLAY_CHANNEL_INFO) {
				// build javascript link
				$output .= "<script language=\"JavaScript\">\n
				<!--\n
					document.writeln(\"".addslashes($TS_IMAGES[serverImage])."&nbsp;<a href=\\\"JavaScript:;\\\" onClick=\\\"display('s');\\\">".addslashes($ts2info->serverInfo[server_name])."</a>\");\n
				//-->\n
				</script>\n";

				// build non-javascript link
				$output .= "<noscript>".$TS_IMAGES[serverImage]."<a href=\"?selected=s\">".$ts2info->serverInfo[server_name]."</a></noscript>";
			} else {
				$output .= $TS_IMAGES[serverImage]."<a href=\"teamspeak://".$TS2_SERVER_IP.":".$ts2info->serverUDPPort."?nickname=".$ts2nick."?loginname=".$ts2login."?password=".$ts2pass."\">".$ts2info->serverInfo[server_name]."</a>";
			}// end if
			$output .= "</div>\n";
			
			// add server info to the info panels
			$infoPanels .= "<div id=\"s\" style=\"visibility:visible;display:block;\">".getInfo("s", true)."</div>";

			$counter = 0;
			$prefixes = Array();
			foreach($mainChannels as $channelInfo) {
				$counter++;

				// check if channel is the last in chain				
				if($counter == count($mainChannels)) {
					$output .= displayChannel($channelInfo, true, $prefixes);
				} else {
					$output .= displayChannel($channelInfo, false, $prefixes);
				}// end if
			}// end foreach
			if($counter == 0) $output .= "<center>No channels</center>\n";
		
			return $output;
		}// end function display()
		
		
		// returns information on the selected server/channel/user
		function getInfo($selected, $JAVA_SCRIPT) {
			// globals
			global $ts2info, $ts2nick, $ts2login, $ts2pass, $MAX_DEPTH, $TS_IMAGES;
			global $TS2_SERVER_DOMAIN, $TS2_SERVER_IP, $DISPLAY_CHANNEL_INFO, $LOGIN_PANEL;

			if(!$DISPLAY_CHANNEL_INFO) return;

			if(substr($selected, 0, 1) == "s") {
				$output = "<h4>Server:</h4>";
				$output .= $ts2info->serverInfo[server_name];
				$output .= "<h4>Server IP:</h4>";
				$output .= $TS2_SERVER_DOMAIN.":".$ts2info->serverUDPPort."<br>";
				$output .= "(".$TS2_SERVER_IP.":".$ts2info->serverUDPPort.")";
				$output .= "<h4>Version:</h4>";
				$output .= $ts2info->globalInfo[total_server_version];
				$output .= "<h4>Type:</h4>";
				if($ts2info->serverInfo[server_clan_server] == 1) $output .= "Freeware Clan Server"; else $output .= "Public Server";
				$output .= "<h4>Platform:</h4>";
				$output .= $ts2info->serverInfo[server_platform];
				$output .= "<h4>Welcome Message:</h4>";
				$output .= nl2br($ts2info->serverInfo[server_welcomemessage]);				
				return $output;
			} else if(substr($selected, 0, 1) == "c") {
				// retrieve channel id
				$id = substr($selected, 1);

				// retrieve channel info
				foreach($ts2info->channelList as $key => $channelInfo) {
					if($channelInfo[id] == $id) break;
				}// end foreach

				$output = "<h4>Channel:</h4>";
				$output .= $channelInfo[name];
				$output .= "<h4>Topic:</h4>";
				$output .= $channelInfo[topic];
				$output .= "<h4>User in Channel:</h4>";
				$output .= $channelInfo[currentPlayers];
				if(!$channelInfo[isDefault]) $output .= "/".$channelInfo[maxusers];
				$output .= "<h4>Codec:</h4>";
				$output .= $channelInfo[codecVerbose];
				$output .= "<h4>Description:</h4>";
				$output .= $channelInfo[description];
				$output .= "<p><br>";

				// insert "join channel" button for JavaScript
				if($JAVA_SCRIPT) {
					$output .= "<form action=\"\" method=\"POST\" enctype=\"application/x-www-form-urlencoded\" name=\"joinChannelForm".$channelInfo[id]."\">";
					if($channelInfo[isPassworded]) {
						$output .= "Channel requires password:<br>";
						$output .= "<input type=\"Password\" name=\"channelpassword\" size=\"15\" maxlength=\"50\"></input><br><br>";
					} else {
						$output .= "<input type=\"Hidden\" name=\"channelpassword\" value=\"\"></input>";
					}// end if
					$output .= "<input type=\"Button\" name=\"\" value=\"Join Channel\" onClick=\"window.location.href='teamspeak://".$TS2_SERVER_IP.":".$ts2info->serverUDPPort."?channel=".$channelInfo[name]."?nickname='+credentials.ts2nick.value+'?password='+credentials.ts2pass.value+'?loginname='+credentials.ts2login.value+'?channelpassword='+joinChannelForm".$channelInfo[id].".channelpassword.value;\"></input>";
					$output .= "</form>";
				} else {
					// insert "join channel" button without JavaScript
					$output .= "<form action=\"teamspeak://".$TS2_SERVER_IP.":".$ts2info->serverUDPPort."/nickname=".$ts2nick."?channel=".$channelInfo[name]."?loginname=".$ts2login."?password=".$ts2pass."\" method=\"POST\" enctype=\"multipart/form-data\">";
					$output .= "<input type=\"Submit\" name=\"\" value=\"Join Channel\"></input>";
					$output .= "</form>";
				}// end if

				return $output;
			} else if(substr($selected, 0, 1) == "p") {
				// retrieve player id
				$p_id = substr($selected, 1);
				
				// retrieve player info
				$playerInfo = $ts2info->playerList[$p_id];
				
				$output = "<h4>Player:</h4>";
				$output .= $playerInfo[nick];
				$output .= "<h4>Global Flags:</h4>";
				if($playerInfo[isServerAdmin]) $output .= "Server Administrator<br>";
				if($playerInfo[isRegistered]) $output .= "Registered<br>"; else $output .= "Unregistered";
				$output .= "<h4>Channel Privileges:</h4>";
				unset($channelPrivileges);
				if($playerInfo[isChannelAdmin]) $channelPrivileges .= "Channel Administrator<br>";
				if($playerInfo[hasAutoOperator]) $channelPrivileges .= "Auto-Ops<br>";
				if($playerInfo[hasAutoVoice]) $channelPrivileges .= "Auto-Voice<br>";
				if($playerInfo[hasOperator]) $channelPrivileges .= "Ops<br>";
				if($playerInfo[hasVoice]) $channelPrivileges .= "Voice<br>";
				if(!$channelPrivileges) $channelPrivileges = "none<br>";
				$output .= $channelPrivileges;
				$output .= "<h4>Player Attributes:</h4>";
				unset($playerAttributes);
				if($playerInfo[blocksWhispers]) $playerAttributes .= "Does not accept whispers<br>";
				if($playerInfo[isAway]) $playerAttributes .= "Player is away<br>";
				if($playerInfo[mutedMicrophone]) $playerAttributes .= "Microphone muted<br>";
				if($playerInfo[mutedHeadphones]) $playerAttributes .= "Speaker/Headphone muted<br>";
				if($playerInfo[isChannelCommander]) $playerAttributes .= "Channel Commander<br>";
				if(!$playerAttributes) $playerAttributes = "none<br>";
				$output .= $playerAttributes;
				
				return $output;
			}// end if
		}// end function getInfo($selected)
	?>

	<?php
		// retrieve Teamspeak Server info
		require("ts2query.php");


		
		// assemble Teamspeak data for display

		// determine maximum tree depth
		$MAX_DEPTH = getMAX_DEPTH();
		$TS_IMAGES = Array();
		$TS_IMAGES[serverImage] = "<img src=\"$IMAGE_DIR/serverimage.png\" width=20 height=24 hspace=0 vspace=0 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[branch] = "<img src=\"$IMAGE_DIR/branch.png\" width=20 height=24 hspace=0 vspace=0 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[blank] = "<img src=\"$IMAGE_DIR/blank.png\" width=20 height=24 hspace=0 vspace=0 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[straight] = "<img src=\"$IMAGE_DIR/straight.png\" width=20 height=24 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[lastInChain] = "<img src=\"$IMAGE_DIR/lastinchain.png\" width=20 height=24 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[channelImage] = "<img src=\"$IMAGE_DIR/channelimage.png\" width=20 height=24 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[playerImage] = "<img src=\"$IMAGE_DIR/playerimage.png\" width=20 height=24 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[playerCommander] = "<img src=\"$IMAGE_DIR/playercommander.png\" width=20 height=24 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[playerMutedMicrophone] = "<img src=\"$IMAGE_DIR/playermutedmicrophone.png\" width=20 height=24 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[playerMutedHeadphones] = "<img src=\"$IMAGE_DIR/playermutedheadphones.png\" width=20 height=24 border=0 alt=\"\" align=\"middle\">";
		$TS_IMAGES[playerAway] = "<img src=\"$IMAGE_DIR/playeraway.png\" width=20 height=24 border=0 alt=\"\" align=\"middle\">";

		$ts2data = display();
		
		// if nothing is selected show server info
		if(!$selected) $selected = "s";
	?>
	<table border="1" cellspacing="0" cellpadding="4" bordercolor="#2B3858" bordercolorlight="#4B5473" bordercolordark="#313745">
		<thead>
			<td colspan="2" align="CENTER" id="ts2header">Teamspeak 2 Server Details</td>
		</thead>
		<tr align="LEFT" valign="TOP">
			<td id="ts2"><?php echo($ts2data); ?></td>
			<?php if($DISPLAY_CHANNEL_INFO) { ?>
			<td id="ts2info">
				<script language="JavaScript">
				<!--
					<?php
						$temp = str_replace("\\","\\\\",$infoPanels);
						$temp = str_replace("\"","\\\"",$temp);
					?>
					document.writeln("<?php echo($temp); ?>");
				//-->
				</script>
				<noscript><?php echo(getInfo($selected, false)); ?></noscript>
			</td>
			<?php }// end if ?>
		</tr>
		<?php if($LOGIN_PANEL) { ?>
		<tr>
			<td <?php if($DISPLAY_CHANNEL_INFO) echo('colspan="2" '); ?>id="ts2login">
				<form action="" method="POST" enctype="multipart/form-data" name="credentials">
				<table border="0" cellspacing="0" cellpadding="4">
					<tr>
						<td>Login name:&nbsp;&nbsp;</td>
						<td><input type="Text" name="ts2login" value="<?php echo($ts2login); ?>" size="15" maxlength="50"></input></td>
					</tr>
					<tr>
						<td>Password:&nbsp;&nbsp;</td>
						<td><input type="Password" name="ts2pass" value="<?php echo($ts2pass); ?>" size="10" maxlength="30"></input></td>
					</tr>
					<tr>
						<td>Nickname:&nbsp;&nbsp;</td>
						<td><input type="Text" name="ts2nick" value="<?php echo($ts2nick); ?>"></input></td>
					</tr>
					<tr>
						<td colspan="2"><input type="Hidden" name="action" value="SAVE"></input><input type="Submit" name="" value="Remember Credentials"></input></td>
					</tr>
				</table>
				For anonymous access leave Login name/Password blank.<br>
				<div id="refresher">Refresh in <?php echo($DISPLAY_REFRESH); ?> seconds</div>
				</form>
			</td>
		</tr>
		<?php }// end if ?>
	</table>
	
	<script language="JavaScript">
	<!--
		refreshCounter = <?php echo($DISPLAY_REFRESH); ?>;
		
		function displayRefresh() {
			refreshCounter--;
			document.getElementById("refresher").firstChild.nodeValue = "Refresh in "+refreshCounter+" seconds";
			window.setTimeout("displayRefresh()", 1000);
		}// end function displayRefresh();
<?php if($DISPLAY_REFRESH) { ?>
		window.setTimeout("displayRefresh()", 1000);
<?php }// end if ?>
	//-->
	</script>
	
	<!-- Removing this message is neither desired nor welcomed by the original author. At least leave a note that it was written by me and a link to my homepage in direct relation to the script, that means above, below, left or right. Yeah, and diagonally too if you like. Bottom line: If you usurp my work I will come to your house at night, rape your goldfish, drink your beer and urinate into your shoes.  -->
	<p><div id="ts2copy">
	Teamspeak Display Script v1.3  &copy; 2003 <a href="http://www.brainspace.info" target="_blank">Christian M&uuml;ller</a><br>
	This software is free software, published by the terms of the GPL. Please see the source code for more Information.<br>
	</div>
</body>
</html>
