<html>
<head><title>Teamspeak Dump</title></head>
<body>
<!--
/**
 * ts2dump.php - Extracts data from a running Teamspeak server and dumps it.
 *
 * Release date and version number: February 26th, 2004. Ver 1.3
 *
 * Copyright (C) 2003  Christian Mller
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * You may contact the author, Christian Mller, via electronic mail at
 * ts-query@brainspace.info
 *
 * A copy of the GNU GPL is provided in the file LICENSE
 *
 * Please read the CHANGELOG if you update from a previous version.
 *
 *
 * Usage of this script:
 * - Edit config.inc.php first!
 * - Put this script in the same directory as ts2query.php
 * - Open it in your web browser. If everything is configure correctly you should
 *   see your current Teamspeak channels and players
 */
//-->
<?php
	// retrieve server info
	require("ts2query.php");

	// dump server info
	echo "<h3>Server Info</h3>";
	echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\"><thead align=\"center\"><th>Attribute</th><th>Value</th></thead>\n";
	foreach($ts2info->serverInfo as $attribute => $value) {
		echo("<tr>");
		echo("<td>$attribute</td>");
		echo("<td>$value</td>");
		echo("</tr>");
	}// end foreach
	echo "</table>";

	// dump global info
	echo "<h3>Global Info</h3>";
	echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\"><thead align=\"center\"><th>Attribute</th><th>Value</th></thead>\n";
	foreach($ts2info->globalInfo as $attribute => $value) {
		echo("<tr>");
		echo("<td>$attribute</td>");
		echo("<td>$value</td>");
		echo("</tr>");
	}// end foreach
	echo "</table>";
	
	// dump channel data columns
	echo "<h3>Channel Data Columns (Raw)</h3>";
	echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\"><thead align=\"center\"><th>Attribute</th><th>Value</th></thead>\n";
	foreach($ts2info->channelData as $attribute => $value) {
		echo("<tr>");
		echo("<td>$attribute</td>");
		echo("<td>$value</td>");
		echo("</tr>");
	}// end foreach
	echo "</table>";

	// dump raw channel data
	echo "<h3>Channel Data (raw)</h3>";
	echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\">";
	echo "<thead align=\"center\">";
	foreach($ts2info->channelData as $attribute => $value) {
		echo "<th>$value</th>\n";
	}// end foreach
	echo "</thead>";
	foreach($ts2info->channelList as $id => $channelInfo) {
		echo "<tr>";
		foreach($ts2info->channelData as $key => $columnName) {
			echo "<td>";
			echo $channelInfo[$columnName];
			echo "</td>\n";
		}// end foreach
		echo "</tr>";
	}// end foreach
	echo "</table>";
	
	// dump channel list (processed)
	echo "<h3>Channel List (processed)</h3>";
	echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\"><thead align=\"center\"><th>Channel ID</th><th>Parent</th><th>Channel name</th><th>Default?</th><th>Flags</th><th>Topic</th><th>Players</th><th>Codec</th></thead>\n";
	$counter = 0;
	foreach($ts2info->channelList as $channelInfo) {
		// default channel?
		if($channelInfo[isDefault] == 1) {
			$channelName = "<b>".$channelInfo[name]."</b>";
		} else {
			$channelName = $channelInfo[name];
		}// end if

		// default?
		if($channelInfo[isDefault] == "1") $isDefault = "yes"; else $isDefault = "no";

		echo ("<tr align=\"center\" valign=\"top\"><td>".$channelInfo[id]."</td><td>".$channelInfo[parent]."</td><td>".$channelName."</td><td>".$isDefault."</td><td>".$channelInfo[flags]."</td><td>".$channelInfo[topic]."</td><td>".$channelInfo[currentPlayers]."/".$channelInfo[maxusers]."</td><td>".$channelInfo[codecVerbose]."</td></tr>\n");
		$counter++;
	}// end foreach
	if($counter == 0) echo ("<tr><td colspan=\"8\" align=\"CENTER\">No channels</td></tr>\n");
	echo ("</table>\n</div>\n");

	// dump player data columns
	echo "<h3>Player Data Columns (Raw)</h3>";
	echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\"><thead align=\"center\"><th>Attribute</th><th>Value</th></thead>\n";
	foreach($ts2info->playerData as $attribute => $value) {
		echo("<tr>");
		echo("<td>$attribute</td>");
		echo("<td>$value</td>");
		echo("</tr>");
	}// end foreach
	echo "</table>";
	
	// dump raw player data
	echo "<h3>Player Data (raw)</h3>";
	echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\">";
	echo "<thead align=\"center\">";
	foreach($ts2info->playerData as $attribute => $value) {
		echo "<th>$value</th>\n";
	}// end foreach
	echo "</thead>";
	foreach($ts2info->playerList as $p_id => $playerInfo) {
		echo "<tr>";
		foreach($ts2info->playerData as $key => $columnName) {
			echo "<td>";
			echo $playerInfo[$columnName];
			echo "</td>\n";
		}// end foreach
		echo "</tr>";
	}// end foreach
	echo "</table>";
	
	// dump player list (processed)
	echo "<h3>Player List (processed)</h3>";
	echo "<table border=\"1\" cellspacing=\"0\" cellpadding=\"4\"><thead align=\"center\"><th>Player ID</th><th>Channel</th><th>Player Name</th><th>Received Packets</th><th>Received Bytes</th><th>Sent Packets</th><th>Sent Bytes</th><th>Packet Loss</th><th>Ping</th><th>Total Time</th><th>Idle Time</th><th>Channel Privileges</th><th>Player Privileges</th><th>Player Flags</th><th>Player's IP</th><th>Player's Login</th>";
	$counter = 0;
	foreach($ts2info->playerList as $playerInfo) {
		// calculate times
		$logintime = date("H:i:s", mktime(floor($playerInfo[logintime] / 3600), floor(($playerInfo[logintime] % 3600) / 60), $playerInfo[logintime] % 60));
		$idletime = date("H:i:s", mktime(floor($playerInfo[idletime] / 3600), floor(($playerInfo[idletime] % 3600) / 60), $playerInfo[idletime] % 60));
		echo("<tr align=\"center\" valign=\"top\"><td>".$playerInfo[p_id]."</td><td>".$playerInfo[c_id]."</td><td>".$playerInfo[nick]."</td><td>".$playerInfo[pr]."</td><td>".$playerInfo[br]."</td><td>".$playerInfo[ps]."</td><td>".$playerInfo[bs]."</td><td>".$playerInfo[pl]."</td><td>".$playerInfo[ping]."ms</td><td>".$logintime."</td><td>".$idletime."</td><td>".$playerInfo[channelPrivileges]."</td><td>".$playerInfo[playerPrivileges]."</td><td>".$playerInfo[pflags]."</td><td>".$playerInfo[ip]."</td><td>".$playerInfo[loginname]."</td></tr>");

		$counter++;
	}// end foreach
	if($counter == 0) echo ("<tr><td colspan=\"16\" align=\"CENTER\">No players</td></tr>\n");
	echo ("</table>\n</div>\n");
?>
	<p>
	Teamspeak Dump Script v1.3  &copy; 2003 Christian M&uuml;ller<br>
	This software is free software, published by the terms of the GPL. Please see source code for more Information
</body>
</html>